//using System;
//using System.Collections.Generic;
//using System.Linq;
//using System.Text;
//using System.Threading.Tasks;
//namespace QL.MSPS.XLK.Domain.Enums
using System.ComponentModel;

namespace APT.MS.Domain.Enums
{
    /// <summary>
    /// 平台类型
    /// </summary>
    public enum BSPlatFormTypeEnum
    {
        APP = 0,
        PC = 1,
    }
    ///// <summary>
    ///// 检查层级
    ///// </summary>
    //public enum BSCheckLevelEnum
    //{
    //    公司级 = 0,
    //    部门级 = 1,
    //    车间级 = 2,
    //    班组 = 3,
    //}

    /// <summary>
    /// 问题等级
    /// </summary>
    public enum BSQuestionLevelEnum
    {
        //重大 = 0,
        //A = 1,
        //B = 2,
        //C = 3,
        //D = 4,

        重大 = 10,
        A = 20,
        B = 30,
        C = 40,
        D = 50,

    }

    /// <summary>
    /// 是否重大隐患
    /// </summary>
    public enum BSSeriousRiskEnum
    {
        否 = 0,
        是 = 1,
    }
    /// <summary>
    /// 检查层级
    /// </summary>
    public enum BSLevelEnum
    {
        [Description("公司级")]
        Company = 10,

        [Description("部门级")]
        Department = 20,

        [Description("车间级")]
        Workshop = 30,

        [Description("班组级")]
        Team = 40,
    }
    /// <summary>
    /// 法律状态
    /// </summary>
    public enum BSLawStatusEnum
    {
        废止 = 0,
        现行 = 1,
    }
    /// <summary>
    /// 文件状态
    /// </summary>
    public enum BSInstitutionStatusEnum
    {
        失效 = 0,
        有效 = 1,
    }


    /// <summary>
    /// 安全库类型
    /// </summary>
    public enum BSMineTypeEnum
    {
        /// <summary>
        /// 全公司
        /// </summary>
        [Description("全公司")] /*全局*/
        All = 0,

        /// <summary>
        /// 选矿厂
        /// </summary>
        [Description("选矿厂")]
        MineChoose = 10,

        /// <summary>
        /// 尾矿库
        /// </summary>
        [Description("尾矿库")]
        Minelast = 20,

        /// <summary>
        /// 露天矿
        /// </summary>
        [Description("露天矿")]
        Mine = 30,

        /// <summary>
        /// 地下矿
        /// </summary>
        [Description("地下矿")]
        MineUnderground = 40,
    }
    /// <summary>
    /// 安全库类型（需同步修改FMProductionUnit）
    /// </summary>
    public enum BSMineTypeEditEnum
    {
        /// <summary>
        /// 选矿
        /// </summary>
        [Description("选矿")]
        MineChoose = 10,

        /// <summary>
        /// 尾矿
        /// </summary>
        [Description("尾矿")]
        Minelast = 20,

        /// <summary>
        /// 矿山
        /// </summary>
        [Description("矿山")]
        Mine = 30,

        /// <summary>
        /// 地下矿
        /// </summary>
        [Description("地下矿")]
        MineUnderground = 40,
    }

    ///// <summary>
    ///// 安全库类型（BSMineTypeEnum 的子项 编辑不能有全公司）
    ///// </summary>
    //public enum BSMineTypeEDITEnum
    //{

    //    [Description("选矿")]
    //    MineChoose = 10,

    //    [Description("尾矿")]
    //    Minelast = 20,

    //    [Description("矿山")]
    //    Mine = 30,

    //    [Description("地下矿")]
    //    MineUnderground = 40,
    //}



    /// <summary>
    /// 计划检查对象
    /// </summary>
    public enum BSPLANCHECKOBJECTEnum
    {
        /// <summary>
        /// 负责人 5
        /// </summary>
        [Description("负责人")]
        Head = 5,

        /// <summary>
        /// 安全员 10
        /// </summary>
        [Description("安全员")]
        Hon = 10,

        /// <summary>
        /// 班长 20
        /// </summary>
        [Description("班长")]
        ClassMonitor = 20,
    }

    /// <summary>
    /// 生成类型
    /// </summary>
    public enum CREACTTYPEEnum
    {
        /// <summary>
        /// 系统生成10
        /// </summary>
        [Description("系统生成")]
        System = 10,

        /// <summary>
        /// 用户主动创建20
        /// </summary>
        [Description("用户主动创建")]
        UserAdd = 20,

        /// <summary>
        /// 危险源辨识触发 30 ???ToHM062_HM102
        /// </summary>
        [Description("危险源辨识触发")]
        HazardsAdd = 30,
        /// <summary>
        /// 年度生产作业计划 40
        /// </summary>
        [Description("年度生产作业计划")]
        YearPlanAdd = 40,


        /// <summary>
        /// 事故事件触发会议 50
        /// </summary>
        [Description("事故事件触发会议")]
        AEToMTAfterTeamMember = 50,

        /// <summary>
        /// 潜在紧急事件讨论 60
        /// </summary>
        [Description("潜在紧急事件讨论")]
        ToCM018 = 60,

        /// <summary>
        /// 标准化系统评审意见 70
        /// </summary>
        [Description("标准化系统评审意见")]
        ToOG034Edit = 70,

        /// <summary>
        /// 安全生产方针征集表 72
        /// </summary>
        [Description("安全生产方针征集表")]
        ToPT014 = 72,

        /// <summary>
        /// 认可与奖励上报表 74
        /// </summary>
        [Description("认可与奖励上报表")]
        ToOG028 = 74,

        /// <summary>
        /// 风险评价小组成立 76
        /// </summary>
        [Description("风险评价小组成立")]
        ToHM134 = 76,

        //设备设施维修计划讨论
        //设备设施维修工作方案讨论
        //安全投入论证

        /// <summary>
        /// 应急机构成立及人员任命 84
        /// </summary>
        [Description("应急机构成立及人员任命")]
        ToOG010 = 84,

        //成立矿山救护队

        ///// <summary>
        ///// 潜在紧急事件讨论 88
        ///// </summary>
        //[Description("潜在紧急事件讨论")]
        //ToCM018 = 88,

        /// <summary>
        /// 应急能力评估 90
        /// </summary>
        [Description("应急能力评估")]
        ToCM026 = 90,

        /// <summary>
        /// 应急演练计划讨论 92
        /// </summary>
        [Description("应急演练计划讨论")]
        ToCM002 = 92,

        //应急演练方案讨论

        /// <summary>
        /// 事故事件上报表 96
        /// </summary>
        [Description("事故事件上报表")]
        ToAE006 = 96,

        /// <summary>
        /// 事故调查小组成员表 98
        /// </summary>
        [Description("事故调查小组成员表")]
        ToAE008 = 98,

        /// <summary>
        /// 事故事件调查结果填报 99
        /// </summary>
        [Description("事故事件调查结果填报")]
        ToAE010 = 99,

        /// <summary>
        /// 勘察记录表 100
        /// </summary>
        [Description("勘察记录表")]
        ToAE018 = 100,

        //事故事件统计分析
        //事故事件回顾

        /// <summary>
        /// 安全检查任务制定 106
        /// </summary>
        [Description("安全检查任务制定")]
        ToBS032 = 106,

        /// <summary>
        /// 《危险源/风险辨识任务》和《职业危害辨识任务》 108
        /// </summary>
        [Description("《危险源/风险辨识任务》和《职业危害辨识任务》")]
        ToHM062_HM102 = 108,

        /// <summary>
        /// 触发今日提醒：消息类型：文件上传；消息内容：请上传下年度生产作业计划至文件库 110
        /// </summary>
        [Description("触发今日提醒：消息类型：文件上传；消息内容：请上传下年度生产作业计划至文件库")]
        ToNotice = 110,

        /// <summary>
        /// 变化识别评估表 112
        /// </summary>
        [Description("变化识别评估表")]
        ToPR023 = 112,

        /// <summary>
        /// 变化识别评估表 113 
        /// </summary>
        [Description("变化识别评估表")]
        PR023ToMeet = 113,

        /// <summary>
        /// 变化识别评估表 112
        /// </summary>
        [Description("安全生产法律法规更新与融入")]
        ToLR010 = 120,

        /// <summary>
        /// 员工意见征集表 112
        /// </summary>
        [Description("员工意见征集表")]
        ToOG060 = 122,

        /// <summary>
        /// 安全标准化内部评价计划 114
        /// </summary>
        [Description("安全标准化内部评价计划")]
        ToPE027 = 124,

        //尾矿-勘察文件评审
        //尾矿-安全评价文件评审

        /// <summary>
        /// 回采计划 130
        /// </summary>
        [Description("回采计划")]
        ToTL014 = 130,

        //尾矿-回采安全预评价文件评审
        //尾矿-闭库安全现状评价文件评审


        /// <summary>
        /// 作业任务识别 136
        /// </summary>
        [Description("作业任务识别")]
        ToHM104 = 136,

        /// <summary>
        /// 安全生产责任制签订 138
        /// </summary>
        [Description("安全生产责任制签订")]
        ToOG002 = 138,

        //安全评价文件审核

        /// <summary>
        /// 内部设计文件审核表 142
        /// </summary>
        [Description("内部设计文件审核表")]
        ToPR002 = 142,

        /// <summary>
        /// 应急预案修订记录 144
        /// </summary>
        [Description("应急预案修订记录")]
        ToSC067 = 144,

        //勘察文件审核（尾矿）
        //勘察文件审核（露天矿山）

        /// <summary>
        /// 内部设计文件审核表 150
        /// </summary>
        [Description("内部设计文件审核表")]
        ToPR002_2 = 150,

        //回采勘察文件审核（尾矿）
        //回采安全预评价文件审核（尾矿）

        /// <summary>
        /// 内部设计文件审核表 156
        /// </summary>
        [Description("内部设计文件审核表")]
        ToPR002_3 = 156,

        //闭库安全现状评价文件审核（尾矿）

        /// <summary>
        /// 内部设计文件审核表 156
        /// </summary>
        [Description("内部设计文件审核表")]
        ToPR002_4 = 160,

        //所有的制度文件审核会

        /// <summary>
        /// 文件审核表 170
        /// </summary>
        [Description("文件审核表")]
        ToWJSH = 170,
    }

    /// <summary>
    /// 星期
    /// </summary>
    public enum WEEKDATAEnum
    {
        /// <summary>
        /// 星期一
        /// </summary>
        [Description("星期一")]
        Monday = 1,
        /// <summary>
        /// 星期二
        /// </summary>
        [Description("星期二")]
        Tuesday = 2,
        /// <summary>
        /// 星期三
        /// </summary>
        [Description("星期三")]
        Wednesday = 3,
        /// <summary>
        /// 星期四
        /// </summary>
        [Description("星期四")]
        Thursday = 4,
        /// <summary>
        /// 星期五
        /// </summary>
        [Description("星期五")]
        Friday = 5,
        /// <summary>
        /// 星期六
        /// </summary>
        [Description("星期六")]
        Saturday = 6,
        /// <summary>
        /// 星期天
        /// </summary>
        [Description("星期天")]
        Sunday = 7,
    }

    /// <summary>
    /// 计划检查频率
    /// </summary>
    public enum BSPLANCHECKFREQUENCYEnum
    {
        /// <summary>
        /// 每年
        /// </summary>
        [Description("无")]
        None = 0,

        ///// <summary>
        ///// 每年
        ///// </summary>
        //[Description("每年")]
        //OneTime = 5,

        /// <summary>
        /// 每天
        /// </summary>
        [Description("每天")]
        Date = 10,

        /// <summary>
        /// 每周
        /// </summary>
        [Description("每周")]
        Week = 20,

        /// <summary>
        /// 每月
        /// </summary>
        [Description("每月")]
        Month = 30,

        /// <summary>
        /// 每季(每季度第一月)
        /// </summary>
        [Description("每季")]
        Quarter = 40,

        /******新加 wyw ******/

        /// <summary>
        /// 每半年
        /// </summary>
        [Description("每半年")]
        HalfYear = 50,

        /// <summary>
        /// 每年
        /// </summary>
        [Description("每年")]
        Year = 60,
    }

    /// <summary>
    /// 安全检查 --检查结果
    /// </summary>
    public enum CHECKRESULTEnum
    {

        // <summary>
        /// 无 10
        /// </summary>
        [Description("无")]
        None = 10,

        // <summary>
        /// 与问题描述一致 20
        /// </summary>
        [Description("检查与问题描述一致")]
        Same = 20,

        // <summary>
        /// 其它 30
        /// </summary>
        [Description("其它")]
        Other = 30,
    }

    /// <summary>
    /// 检查记录 状态
    /// </summary>
    public enum STATECHECK
    {
        // <summary>
        /// 等待检查 0  制表时 默认 0 
        /// </summary>
        [Description("等待检查")]
        WaitForCheck = 0,

        /// <summary>
        /// 登记草稿  5  跑批发送表单 此状态
        /// </summary>
        [Description("草稿")]
        Draft = 5,

        /// <summary>
        /// 确认中  10
        /// </summary>
        [Description("确认中")]
        Sign = 10,

        /// <summary>
        /// 审核中 20
        /// </summary>
        [Description("审核中")]
        Approving = 20,

        /// <summary>
        /// 已归档 30 
        /// </summary>
        [Description("已归档")]
        Archived = 30,

        /// <summary>
        /// 已驳回 40
        /// </summary>
        [Description("已驳回")]
        Rejected = 40,
    }

    /// <summary>
    /// 检查记录 查询 状态
    /// </summary>
    public enum STATECHECKSEARCH
    {
        /// <summary>
        /// 登记草稿  5  跑批发送表单 此状态
        /// </summary>
        [Description("草稿")]
        Draft = 5,

        /// <summary>
        /// 确认中  10
        /// </summary>
        [Description("确认中")]
        Sign = 10,

        /// <summary>
        /// 审核中 20
        /// </summary>
        [Description("审核中")]
        Approving = 20,

        /// <summary>
        /// 已归档 30 
        /// </summary>
        [Description("已归档")]
        Archived = 30,

        /// <summary>
        /// 已驳回 40
        /// </summary>
        [Description("已驳回")]
        Rejected = 40,
    }


    /// <summary>
    /// 检查情况
    /// </summary>
    public enum CHECKTYPEEnum
    {
        // <summary>
        /// 等待检查
        /// </summary>
        [Description("等待检查")]
        WaitForCheck = 0,

        /// <summary>
        /// 部分人员确认
        /// </summary>
        [Description("部分人员确认")]
        PartCheck = 10,

        /// <summary>
        /// 结束检查
        /// </summary>
        [Description("结束检查")]
        CheckEnd = 20,
    }

    /// <summary>
    /// 检查明细退回处理结果
    /// </summary>
    public enum RejectResult
    {

        /// <summary>
        /// 未处理
        /// </summary>
        [Description("未处理")]
        Default = 0,

        /// <summary>
        /// 保持不变
        /// </summary>
        [Description("保持不变")]
        ResultSame = 5,

        /// <summary>
        /// 结果修改
        /// </summary>
        [Description("结果修改")]
        ResultChange = 10,
    }

    /// <summary>
    /// 安全检查 人员操作状态
    /// </summary>
    public enum SAFECHECKSTATEEnum
    {
        /// <summary>
        /// 未查看
        /// </summary>
        [Description("未查看")]
        unView = 10,

        /// <summary>
        /// 已查看
        /// </summary>
        [Description("已查看")]
        view = 20,

        /// <summary>
        /// 已阅（有查看，并且点击已阅） 30
        /// </summary>
        [Description("已阅")]
        viewDone = 30,


        /// <summary>
        /// 未查看有确认
        /// </summary>
        [Description("未查看有确认")]
        unViewSign = 40,

        /// <summary>
        /// 已查看有确认
        /// </summary>
        [Description("已查看有确认")]
        viewSign = 50,

        /// <summary>
        /// 已阅有确认
        /// </summary>
        [Description("已阅有确认")]
        viewDoneSign = 60,

        /// <summary>
        /// 安全检查 保存草稿 70
        /// </summary>
        [Description("保存草稿")]
        Temp = 70,

        /// <summary>
        /// 保存并发送 80
        /// </summary>
        [Description("保存并发送")]
        Send = 80,
    }




    #region     隐患


    /// <summary>
    /// 检查任务状态
    /// </summary>
    public enum BSSubmitStatusEnum
    {
        /// <summary>
        /// 手动上报草稿 5
        /// </summary>
        [Description("手动上报草稿")]
        UserTemp = 5,

        /// <summary>
        /// 待开始 10
        /// </summary>
        [Description("待开始")]
        WaiteStart = 10,

        /// <summary>
        /// 保存 15
        /// </summary>
        [Description("保存")]
        Temp = 15,

        /// <summary>
        /// 保存并发送 20
        /// </summary>
        [Description("保存并发送")]
        Start = 20,

        /// <summary>
        /// 审核中
        /// </summary>
        [Description("审核中")]
        Audit = 30,


        /// <summary>
        /// 审核通过
        /// </summary>
        [Description("审核通过")]
        AuditOK = 40,

        /// <summary>
        /// 审核拒绝
        /// </summary>
        [Description("审核拒绝")]
        AuditRefuse = 50,

    }

    /// <summary>
    /// 安全检查隐患状态
    /// </summary>
    public enum RISKSTATE
    {
        /// <summary>
        /// 检查正常
        /// </summary>
        [Description("检查正常")]
        Safe = 0,

        /// <summary>
        /// 待上报
        /// </summary>
        [Description("待上报")]
        NeedReport = 10,

        /// <summary>
        /// 已上报（处理中）
        /// </summary>
        [Description("已上报")]
        Reported = 20,

        /// <summary>
        /// 延期中
        /// </summary>
        [Description("延期中")]
        ReportedDelay = 30,

        /// <summary>
        /// 已部分办结
        /// </summary>
        [Description("已部分办结")]
        OKPart = 50,

        /// <summary>
        /// 已办结
        /// </summary>
        [Description("已办结")]
        OK = 60,

    }


    public enum BSDelayDaysEnum
    {
        /// <summary>
        /// 重大隐患最多延期2天
        /// </summary>
        [Description("重大隐患最多延期2天")]
        重大 = 2,
        /// <summary>
        /// A级隐患最多延期10天
        /// </summary>
        [Description("A级隐患最多延期10天")]
        A = 10,
        /// <summary>
        /// B级隐患最多延期30天
        /// </summary>
        [Description("B级隐患最多延期30天")]
        B = 30,
        /// <summary>
        /// C级隐患最多延期20天
        /// </summary>
        [Description("C级隐患最多延期40天")]
        C = 40,
        /// <summary>
        /// D级隐患最多延期20天
        /// </summary>
        [Description("D级隐患最多延期50天")]
        D = 50,
    }

    public enum BSDelayDaysNoticeEnum
    {
        /// <summary>
        /// 重大隐患最多延期10天
        /// </summary>
        [Description("重大隐患超过3天通知上级")]
        重大 = 3,
        /// <summary>
        /// A级隐患超过5天通知上级
        /// </summary>
        [Description("A级隐患超过5天通知上级")]
        A = 5,
        /// <summary>
        /// B级隐患超过5天通知上级
        /// </summary>
        [Description("B级隐患超过5天通知上级")]
        B = 5,
        /// <summary>
        /// C级隐患超过5天通知上级
        /// </summary>
        [Description("C级隐患超过5天通知上级")]
        C = 5,
        /// <summary>
        /// D级隐患超过5天通知上级
        /// </summary>
        [Description("D级隐患超过5天通知上级")]
        D = 5,
    }

    /// <summary>
    /// 安全检查隐患状态
    /// </summary>
    public enum RiskContentState
    {
        /// <summary>
        /// 已上报 10
        /// </summary>
        [Description("已上报")]
        Reported = 10,

        /// <summary>
        ///上报 审批驳回 12
        /// </summary>
        [Description("审批驳回")]
        ReportedReject = 12,

        /// <summary>
        /// 已经发送通知 20   20=>15 2022-7-17
        /// </summary>
        [Description("已经发送通知")]
        Notice = 15,

        /// <summary>
        /// 验收人确认17 验收人 可能驳回
        /// </summary>
        [Description("验收人确认")]
        CheckerCheck = 17,

        /// <summary>
        /// 整改责任人确认 19
        /// </summary>
        [Description("整改责任人确认")]
        DEALCheck = 19,

        /// <summary>
        /// 设置了整改期限，安排整改责任人、验收人  22
        /// </summary>
        [Description("已安排整改")]
        ArrangeDeal = 22,


        /// <summary>
        /// 已经查看通知 25
        /// </summary>
        [Description("已经查看通知")]
        NoticeRead = 25,


        /// <summary>
        /// 隐患整改通知保存草稿 26
        /// </summary>
        [Description("隐患整改通知保存草稿")]
        NoticeTemp = 26,

        /// <summary>
        /// 隐患整改通知保存并发送 27
        /// </summary>
        [Description("隐患整改通知保存并发送")]
        NoticeToNext = 27,


        /// <summary>
        /// 提交延期申请 28
        /// </summary>
        [Description("提交延期申请")]
        ReportedDelayApply = 28,

        /// <summary>
        /// 延期中
        /// </summary>
        [Description("延期中")]
        ReportedDelay = 30,


        /// <summary>
        /// 指定落实整改人存草稿
        /// </summary>
        [Description("指定落实整改人存草稿")]
        ActualDealChangeTemp = 31,

        /// <summary>
        /// 已修改落实整改人
        /// </summary>
        [Description("已修改落实整改人")]
        ActualDealChange = 32,


        /// <summary>
        /// 落实整改人已经查阅整改通知(返单也到此)
        /// </summary>
        [Description("落实整改人已经查阅整改通知")]
        ActualDealCheck = 33,

        /// <summary>
        /// 整改落实人保存草稿
        /// </summary>
        [Description("整改落实人保存草稿")]
        DealTemp = 34,

        /// <summary>
        /// 待整改负责人确认 整改落实人已提交整改 
        /// </summary>
        [Description("待整改负责人确认")]
        DealSend = 36,

        /// <summary>
        /// 整改记录待验收 已责任整改人签名
        /// </summary>
        [Description("整改记录待验收")]
        DealSign = 37,

        /// <summary>
        /// 已验收人签名(完成-》验收人已签名 未完成/部分完成 OKNotBack )
        /// </summary>
        [Description("整改记录待审批")]
        CheckSign = 38,

        /// <summary>
        /// 检查未完成 40
        /// </summary>
        [Description("检查未完成")]
        CheckNotOK = 40,

        /// <summary>
        /// 已部分办结
        /// </summary>
        [Description("已部分办结")]
        OKPart = 50,

        /// <summary>
        /// 已办结
        /// </summary>
        [Description("已办结")]
        OK = 60,

        /// <summary>
        /// 已退回
        /// </summary>
        [Description("已退回")]
        OKNotBack = 70,


        /// <summary>
        /// 退回后已办结
        /// </summary>
        [Description("退回后已办结")]
        BackOK = 80,
    }


    /// <summary>
    /// 完成情况  2草稿 10未完成  20延期中   30部分完成  40已完成
    /// </summary>
    public enum DealSituation
    {

        /// <summary>
        /// 草稿 2
        /// </summary>
        [Description("草稿")]
        Temp = 2,

        /// <summary>
        /// 整改审批 驳回 
        /// </summary>
        [Description("驳回")]
        Reject = 3,

        ///// <summary>
        ///// 保存并通知 5
        ///// </summary>
        //[Description("待整改")]
        //Notice = 5,

        /// <summary>
        /// 待验收 5 （隐患整改记录  保存并发送 其实是 待验收）
        /// </summary>
        [Description("待验收")]
        Notice = 5,

        /// <summary>
        /// 未完成 10
        /// </summary>
        [Description("未完成")]
        None = 10,

        /// <summary>
        /// 延期中 20
        /// </summary>
        [Description("延期中")]
        Delay = 20,

        /// <summary>
        /// 部分完成 30
        /// </summary>
        [Description("部分完成")]
        PART = 30,

        /// <summary>
        /// 已完成 40
        /// </summary>
        [Description("待审批")]
        OK = 40,

        /// <summary>
        /// 已结束 50
        /// </summary>
        [Description("已结束")]
        End = 50,
    }

    public enum DealSituationCheck
    {
        /// <summary>
        /// 未完成 10
        /// </summary>
        [Description("未完成")]
        None = 10,

        /// <summary>
        /// 部分完成 30
        /// </summary>
        [Description("部分完成")]
        PART = 30,

        /// <summary>
        /// 已完成 40
        /// </summary>
        [Description("已完成")]
        OK = 40,

    }

    /// <summary>
    /// 签名人类型  10整改责任人 20验收人
    /// </summary>
    public enum SIGNTYPE
    {

        /// <summary>
        /// 整改责任人 10
        /// </summary>
        [Description("整改责任人")]
        Deal = 10,

        /// <summary>
        /// 验收人 20
        /// </summary>
        [Description("验收人")]
        Check = 20,
    }


    /// <summary>
    /// 操作类型 可随意加 但是枚举对应的值不能变
    /// </summary>
    public enum OperateType
    {

        /// <summary>
        /// 草稿 10
        /// </summary>
        [Description("草稿")]
        Temp = 10,

        /// <summary>
        /// 保存 20
        /// </summary>
        [Description("保存")]
        Save = 20,

        /// <summary>
        /// 其他1 30
        /// </summary>
        [Description("其他1")]
        Other1 = 30,


        /// <summary>
        /// 验收 40
        /// </summary>
        [Description("验收")]
        Check = 40,


        /// <summary>
        /// 驳回 50
        /// </summary>
        [Description("驳回")]
        Back = 50,
    }
    /// <summary>
    /// 上报类型
    /// </summary>
    public enum SUBMIT_TYPE
    {

        /// <summary>
        /// 检查上报 10
        /// </summary>
        [Description("检查上报")]
        Check = 10,
        /// <summary>
        /// 用户自定义上报 20
        /// </summary>
        [Description("用户自定义上报")]
        User = 20,

        /// <summary>
        /// TPM 对接
        /// </summary>
        [Description("TPM对接")]
        TPM = 30,
    }


    /// <summary>
    /// 隐患入库状态
    /// </summary>
    public enum OrderType
    {
        /// <summary>
        /// 暂存 0
        /// </summary>
        [Description("暂存")]
        Temp = 0,

        /// <summary>
        /// 已发送 10
        /// </summary>
        [Description("已发送")]
        Send = 10,

        /// <summary>
        /// 审批中 20
        /// </summary>
        [Description("审批中")]
        Approving = 20,


        /// <summary>
        /// 已完成 30
        /// </summary>
        [Description("已完成")]
        end = 30,

    }

    #endregion



    #region      安全检查汇总

    /// <summary>
    /// 任务制定状态 安全检查汇总 //(check.STATUSPLAN == 0 ? "草稿" : (check.STATUSPLAN == 20 ? "已归档" : "处理中")) : "手动上报"
    /// </summary>
    public enum stateMakeEN
    {
        // <summary>
        /// 草稿 0  
        /// </summary>
        [Description("草稿")]
        Default = 0,

        // <summary>
        /// 处理中 10  
        /// </summary>
        [Description("处理中")]
        Deal = 10,

        // <summary>
        /// 已归档 20  
        /// </summary>
        [Description("已归档")]
        Archived = 20,

        // <summary>
        /// 手动上报 30  
        /// </summary>
        [Description("手动上报")]
        ByHand = 30,
    }

    /// <summary>
    /// 检查记录状态  安全检查汇总 STATECHECK check.STATECHECK.GetDescription() : "手动上报",
    /// </summary>
    public enum stateCheckEN
    {
        // <summary>
        /// 等待检查 0  制表时 默认 0 
        /// </summary>
        [Description("等待检查")]
        WaitForCheck = 0,

        /// <summary>
        /// 登记草稿  5  跑批发送表单 此状态
        /// </summary>
        [Description("草稿")]
        Draft = 5,

        /// <summary>
        /// 确认中  10
        /// </summary>
        [Description("确认中")]
        Sign = 10,

        /// <summary>
        /// 审核中 20
        /// </summary>
        [Description("审核中")]
        Approving = 20,

        /// <summary>
        /// 已归档 30 
        /// </summary>
        [Description("已归档")]
        Archived = 30,

        /// <summary>
        /// 已驳回 40
        /// </summary>
        [Description("已驳回")]
        Rejected = 40,

        /// <summary>
        /// 手动上报 50
        /// </summary>
        [Description("手动上报")]
        ByHand = 50,

    }

    /// <summary>
    /// 隐患整改记录状态  安全检查汇总
    /// </summary>
    public enum stateSubmitEN
    {
        //(sub.ISORDEREND ? "已归档" : ((sub.SUBMIT_STATUS.HasValue && sub.SUBMIT_STATUS.Value < 20) ? "草稿" : "处理中")) : "",
        //subn.ISORDEREND ? "已归档" : ((subn.SUBMIT_STATUS.HasValue && subn.SUBMIT_STATUS.Value < 20) ? "草稿" : "处理中"),
        //无需整改

        /// <summary>
        /// 无需整改  1  
        /// </summary>
        [Description("无需整改")]
        NoSubmit = 1,

        /// <summary>
        /// 登记草稿  5  跑批发送表单 此状态
        /// </summary>
        [Description("草稿")]
        Draft = 5,


        // <summary>
        /// 处理中 10  
        /// </summary>
        [Description("处理中")]
        Deal = 10,

        /// <summary>
        /// 已归档 30 
        /// </summary>
        [Description("已归档")]
        Archived = 30,
    }

    #endregion

    public enum LOGTYPE_Enums
    {
        /// <summary>
        /// 安全检查 10 
        /// </summary>
        [Description("安全检查")]
        SafeCheck = 10,

        /// <summary>
        /// 隐患上报 20 
        /// </summary>
        [Description("隐患上报")]
        RiskSubmit = 20
    }
    /// <summary>
    /// 操作节点
    /// </summary>
    public enum OPERATEPOINT_Enums
    {
        /// <summary>
        /// 表单获取 10
        /// </summary>
        [Description("表单获取")]
        GotCheck = 10,

        /// <summary>
        /// 检查任务制定 20
        /// </summary>
        [Description("检查任务制定")]
        CheckForm = 20,

        /// <summary>
        /// 检查任务审批  30
        /// </summary>
        [Description("检查任务审批")]
        CheckAudit = 30,

        /// <summary>
        /// 检查任务确认 40 
        /// </summary>
        [Description("检查任务确认")]
        CheckerCheck = 40,

        /// <summary>
        /// 检查登记 50
        /// </summary>
        [Description("检查登记")]
        CheckRegister = 50,

        /// <summary>
        /// 检查结果确认
        /// </summary>
        [Description("检查结果确认")]
        CheckAgree = 60,

        /// <summary>
        /// 检查记录审批  70
        /// </summary>
        [Description("检查记录审批")]
        CheckResultAudit = 70,

        /// <summary>
        /// 检查记录归档  80
        /// </summary>
        [Description("检查记录归档")]
        CheckEnd = 80,

        /// <summary>
        /// 手动隐患上报草稿 90
        /// </summary>
        [Description("手动隐患上报草稿")]
        RiskNoticeSD = 90,
        /// <summary>
        /// 手动隐患上报 100
        /// </summary>
        [Description("手动隐患上报")]
        RiskUpSD = 100,

        /// <summary>
        /// 手动隐患上报完善 110
        /// </summary>
        [Description("手动隐患上报完善")]
        RiskInfoCompleteSD = 110,

        /// <summary>
        /// 隐患待上报  120
        /// </summary>
        [Description("隐患待上报")]
        RiskGet = 120,

        /// <summary>
        /// 隐患上报  130
        /// </summary>
        [Description("隐患上报")]
        RiskSend =130,


    }
}